> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new subscription plan

> Operacion: Create a new subscription plan.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/subscription_plan/create
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_plan/create:
    post:
      tags:
        - Subscription Plan
      summary: Create a new subscription plan
      description: 'Operacion: Create a new subscription plan.'
      operationId: SubscriptionPlanController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscriptionPlanDto'
      responses:
        '201':
          description: Plan created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionPlanResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateSubscriptionPlanDto:
      type: object
      properties:
        name:
          type: string
        subscription_currency_id:
          type: number
        currency_value:
          type: number
        description:
          type: string
      required:
        - subscription_currency_id
    SubscriptionPlanResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: object
        subscription_currency_id:
          type: number
        currency_name:
          type: object
        currency_value:
          type: object
        description:
          type: object
      required:
        - id
        - subscription_currency_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````